Loading...
Searching...
No Matches
casacore::MSSelectionErrorHandler Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSSelectionErrorHandler.h>`

## Public Member Functions

| MSSelectionErrorHandler ()
| The default constructor generates the message "Table error".
| MSSelectionErrorHandler (const MSSelectionErrorHandler &that)
MSSelectionErrorHandler & | operator= (const MSSelectionErrorHandler &that)
virtual MSSelectionErrorHandler * | clone ()
virtual | ~MSSelectionErrorHandler ()
virtual void | reportError (const char *token, const String source=String(""))
virtual String | constructMessage ()
virtual void | reset ()
virtual void | handleError (MSSelectionError &)
const std::vector< String > & | getMessages () const
Int | nMessages () const

## Protected Attributes

std::vector< String > | tokenList
std::vector< String > | messageList

## Detailed Description

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN

### Synopsis

The top-level generic MSSelection error handler class. The handleError() overloadable method takes the action of reporting the error. The handleError() method of this defualt handler constructs a message string and throws an exception of the type supplied. This operation has been factored out into this object to allow more control on the error handler mechanism from outside.

Definition at line 60 of file MSSelectionErrorHandler.h.

## Constructor & Destructor Documentation

## MSSelectionErrorHandler() [1/2]

casacore::MSSelectionErrorHandler::MSSelectionErrorHandler | ( |  | ) |

The default constructor generates the message "Table error".

Referenced by clone(), MSSelectionErrorHandler(), casacore::MSSelectionLogError::MSSelectionLogError(), casacore::MSSSpwErrorHandler::MSSSpwErrorHandler(), and operator=().

## MSSelectionErrorHandler() [2/2]

casacore::MSSelectionErrorHandler::MSSelectionErrorHandler | ( | const MSSelectionErrorHandler & | that | ) |

References MSSelectionErrorHandler().

## ~MSSelectionErrorHandler()

virtual casacore::MSSelectionErrorHandler::~MSSelectionErrorHandler | ( |  | ) |

virtual

## Member Function Documentation

## clone()

virtual MSSelectionErrorHandler * casacore::MSSelectionErrorHandler::clone | ( |  | ) |

inline virtual

Reimplemented in casacore::MSSelectionLogError.

Definition at line 68 of file MSSelectionErrorHandler.h.

References MSSelectionErrorHandler().

## constructMessage()

virtual String casacore::MSSelectionErrorHandler::constructMessage | ( |  | ) |

virtual

Reimplemented in casacore::MSSSpwErrorHandler.

Referenced by casacore::MSSelectionLogError::handleError().

## getMessages()

const std::vector< String > & casacore::MSSelectionErrorHandler::getMessages | ( |  | ) | const

inline

Definition at line 77 of file MSSelectionErrorHandler.h.

References messageList.

## handleError()

virtual void casacore::MSSelectionErrorHandler::handleError | ( | MSSelectionError & |  | ) |

virtual

Reimplemented in casacore::MSSelectionLogError, casacore::MSSSpwErrorHandler, and casacore::UDFMSCalErrorHandler.

## nMessages()

Int casacore::MSSelectionErrorHandler::nMessages | ( |  | ) | const

inline

Definition at line 79 of file MSSelectionErrorHandler.h.

References messageList.

## operator=()

MSSelectionErrorHandler & casacore::MSSelectionErrorHandler::operator= | ( | const MSSelectionErrorHandler & | that | ) |

References MSSelectionErrorHandler().

## reportError()

virtual void casacore::MSSelectionErrorHandler::reportError | ( | const char * | token,
|  | const String | source = String("") )

virtual

Reimplemented in casacore::UDFMSCalErrorHandler.

## reset()

virtual void casacore::MSSelectionErrorHandler::reset | ( |  | ) |

virtual

## Member Data Documentation

## messageList

std::vector<String> casacore::MSSelectionErrorHandler::messageList

protected

Definition at line 83 of file MSSelectionErrorHandler.h.

Referenced by getMessages(), casacore::MSSelectionLogError::handleError(), and nMessages().

## tokenList

std::vector<String> casacore::MSSelectionErrorHandler::tokenList

protected

Definition at line 83 of file MSSelectionErrorHandler.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelectionErrorHandler.h